import request from '@/utils/request'

// 查询疫苗信息列表
export function listInfo(query) {
  return request({
    url: '/boman-web-core/core/ryrl/list',
    method: 'get',
    params: query
  })
}

export function listInfotj(query) {
  return request({
    url: '/boman-web-core/core/czrk/stsByCzrk ',
    method: 'get',
    params: query
  })
}


// 查询疫苗信息详细
export function getInfo(id) {
  return request({
    url: '/boman-web-core/core/ryrl/getById/' + id,
    method: 'get'
  })
}

// 户籍地址 新增修改
export function listRoleer(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelect',
    method: 'get',
    // data
  })
}

// 户籍地址 新增修改
export function listRoleergth(data) {
  return request({
    url: '/boman-web-core/core/fxry/getSysRegion',
    method: 'post',
    data: data
  })
}


// 户籍地址搜索
export function listRoleerseavh(data) {
  return request({
    url: '/boman-web-core/administrativeInfo/treeSelectVillage',
    method: 'get',
    // data
  })
}


// 新增人员信息
export function addInfo(data) {
  return request({
    url: '/boman-web-core/core/ryrl/addRlry',
    method: 'post',
    data: data
  })
}

// 修改疫苗信息
export function updateInfo(data) {
  return request({
    url: '/boman-web-core/core/ryrl/editRlry',
    method: 'post',
    data: data
  })
}

// 删除疫苗信息
export function delInfo(query) {
  return request({
    url: '/boman-web-core/core/czrk/deleteCzrk' ,
    method: 'get',
    params: query

  })
}

// 导出疫苗信息
export function exportInfo(query) {
  return request({
    url: '/boman-web-core/core/info/export',
    method: 'post',
    data: query
  })
}

// 查询身份证信息
export function idces(query) {
  return request({
    url: '/boman-web-core/core/info/findHjInfo',
    method: 'post',
    data: query
  })
}
// 导出参数
export function exportConfig(query) {
  return request({
    url: '/boman-file/common/file/async/export',
    method: 'post',
    data: query
  })
}

// 导出参数
export function exportConfigtyr(query) {
  return request({
    url: '/boman-file/common/file/before/download ',
    method: 'get',
    params: query
  })
}

// 删除疫苗名称信息
export function delInfort(id) {
  return request({
    url: '/boman-web-core/core/info/vaccineInfoUser/' + id,
    method: 'get'
  })
}

// 列表查看疫苗信息
export function yiaoe(query) {
  return request({
    url: '/boman-web-core/core/info/findInfoUser',
    method: 'post',
	data: query
  })
}

export function delInfohy(query) {
  return request({
    url: '/boman-web-core/core/czrk/reduction/' + query,
    method: 'get'
  })
}

// 导出错误日志
export function importLog(query){
  return request({
    url: '/boman-web-core/ymjzImportError/list',
    method: 'get',
    data: query
  })
}
